# $Revision: 1.90 $, $Date: 2009/08/09 10:22:17 $
#
# Conditional build:
%bcond_with	tests	# perform make test
#
Summary:	Apache Portable Runtime
Summary(pl.UTF-8):	Apache Portable Runtime - przenośna biblioteka uruchomieniowa
Name:		apr
Version:	1.3.8
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
# Source0-md5:	3c7e3a39ae3d3573f49cb74e2dbf87a2
Patch0:		%{name}-link.patch
Patch1:		%{name}-libtool.patch
# disable some things that require recent kernel
Patch2:		%{name}-disable-features.patch
URL:		http://apr.apache.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glibc-devel >= 6:2.9
%if "%{pld_release}" != "ac"
BuildRequires:	libtool >= 2:2.2
%else
BuildRequires:	libtool
%endif
BuildRequires:	libuuid-devel
BuildRequires:	python
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%if "%{pld_release}" != "ac"
BuildRequires:	uname(release) >= 2.6
Requires:	uname(release) >= 2.6.13
%endif
# uuid.h misdetected from this one instead of libuuid-devel
BuildConflicts:	ossp-uuid-devel < 1.6.2-6
Conflicts:	kernel24
Conflicts:	kernel24-smp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr
%define		_datadir	/usr/share/apr

%description
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or
take advantage of platform-specific deficiencies or features.

%description -l pl.UTF-8
Celem projektu APR (Apache Portable Runtime) jest stworzenie i
utrzymywanie bibliotek dostarczających przewidywalnego i spójnego
interfejsu do leżących u podstaw implementacji zależnych od platformy.
Głównym celem jest dostarczenie API, którego mogą używać programiści
mając pewność, że zachowuje się w sposób przewidywalny, jeśli nie
identyczny, niezależnie od platformy na jakiej oprogramowanie jest
budowane oraz bez potrzeby kodowania specjalnych warunków do
obchodzenia lub wykorzystywania specyficznych dla platform różnic lub
możliwości.

%package devel
Summary:	Header files and development documentation for apr
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do apr
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	automake
%if "%{pld_release}" != "ac"
Requires:	libtool >= 2:2.2
%else
Requires:	libtool
%endif
Requires:	libuuid-devel
Requires:	python-modules

%description devel
Header files and development documentation for apr.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do apr.

%package static
Summary:	Static apr library
Summary(pl.UTF-8):	Statyczna biblioteka apr
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static apr library.

%description static -l pl.UTF-8
Statyczna biblioteka apr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat >> config.layout <<'EOF'
<Layout PLD>
sbindir:	%{_sbindir}
libexecdir:	%{_libdir}/apr
installbuilddir: ${datadir}/build-${APR_MAJOR_VERSION}
localstatedir:	/var/run
runtimedir:	/var/run
libsuffix:	-${APR_MAJOR_VERSION}
</Layout>
EOF

%build
install /usr/share/automake/config.* build
%{__autoconf}

%configure \
	--enable-layout=PLD \
%ifarch %{ix86} %{x8664}
%ifnarch i386
	--enable-nonportable-atomics \
%endif
%endif
	--enable-threads \
	--with-devrandom=/dev/urandom
%{__make}

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/build-1 $RPM_BUILD_ROOT%{_datadir}/build
install build/{*apr*.m4,*.awk,*.sh,gen-build.py} $RPM_BUILD_ROOT%{_datadir}/build
ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_datadir}/build
if [ -f /usr/share/libtool/config/ltmain.sh ]; then
	ln -snf /usr/share/libtool/config/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
else
	ln -snf /usr/share/libtool/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
fi
ln -snf /usr/bin/libtool $RPM_BUILD_ROOT%{_datadir}/build
ln -sf build $RPM_BUILD_ROOT%{_datadir}/build-1

sed -i -e 's@^\(APR_SOURCE_DIR=\).*@\1"%{_datadir}"@' \
	$RPM_BUILD_ROOT%{_bindir}/apr-1-config
sed -i -e 's@^\(apr_builddir\|apr_builders\)=.*@\1=%{_datadir}/build-1@' \
	$RPM_BUILD_ROOT%{_datadir}/build/apr_rules.mk
sed -i -e '1s@#!.*python@#!%{__python}@' $RPM_BUILD_ROOT%{_datadir}/build/gen-build.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES docs/*.html
%attr(755,root,root) %{_libdir}/libapr-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapr-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/apr-1-config
%attr(755,root,root) %{_libdir}/libapr-1.so
%{_libdir}/libapr-1.la
%{_libdir}/apr.exp
%{_includedir}
%dir %{_datadir}
%dir %{_datadir}/build
%{_datadir}/build/*.mk
%{_datadir}/build/*.m4
%{_datadir}/build/*.awk
%attr(755,root,root) %{_datadir}/build/config.*
%attr(755,root,root) %{_datadir}/build/*.sh
%attr(755,root,root) %{_datadir}/build/libtool
%attr(755,root,root) %{_datadir}/build/gen-build.py
%{_datadir}/build-1
%{_pkgconfigdir}/apr-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libapr-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apr.spec,v $
Revision 1.90  2009/08/09 10:22:17  arekm
- up to 1.3.8 (fixes SECURITY: CVE-2009-2412)

Revision 1.89  2009/07/26 12:05:22  arekm
- disable features disables that for us, too

Revision 1.88  2009/07/25 21:23:41  arekm
- up to 1.3.7

Revision 1.87  2009/07/25 20:51:33  arekm
- rel 2; disable more functions that require kernels >= 2.6.27

Revision 1.86  2009/07/25 15:13:14  arekm
- up to 1.3.6; disable SOCK_CLOEXEC (it requires kernel >= 2.6.27)

Revision 1.85  2009/06/28 16:00:41  arekm
- up to 1.3.5

Revision 1.84  2009/04/20 21:36:37  arekm
- rel 14; drop metuxmpm patch; never included upstream

Revision 1.83  2009/03/25 20:10:25  arekm
- release 13

Revision 1.82  2009/03/18 23:20:45  arekm
- release 12

Revision 1.81  2009/03/16 20:06:19  qboosh
- bcond desc

Revision 1.80  2009/02/23 11:40:08  arekm
- rel 11; if ossp-uuid-devel was installed then wrong uuid.h was used at configure time thus disabling uuid support in apr - fixed

Revision 1.79  2009/02/23 07:37:01  arekm
- rel 10; racy version when using threads but works on old kernels, too

Revision 1.78  2009/02/22 15:49:22  arekm
- rel 9; patch updated from bug report

Revision 1.77  2009/02/22 14:50:53  arekm
- rel 8; new glibc required when building. New kernel only when actully used.

Revision 1.76  2009/02/22 14:21:37  arekm
- rel 7; turns out that 2.6.27+ is required for SOCK_CLOEXEC

Revision 1.75  2009/02/22 12:26:27  arekm
- rel 6; make sure 2.6.23+ is used (for new *CLOEXEC api support)

Revision 1.74  2009/02/22 00:10:46  arekm
- release 5

Revision 1.73  2009/02/21 23:53:57  arekm
- rel 4; don't inherite descriptors unless requested

Revision 1.72  2008/08/25 19:32:01  glen
- release 3

Revision 1.71  2008/08/25 16:00:38  qboosh
- updated ac version
- fixed ifarch typo

Revision 1.70  2008/08/25 14:14:00  glen
- libtool 1 ltmain.sh path

Revision 1.69  2008/08/25 13:55:16  glen
- rebuild configure (-libtool patch now has some effect too); rel 2

Revision 1.68  2008/08/23 06:23:51  glen
- ac compatible

Revision 1.67  2008/08/17 16:52:04  qboosh
- updated to 1.3.3

Revision 1.66  2008/08/02 21:00:24  sls
- BR: rpm-pythonprov
- apr-devel R: python-modules for /usr/share/apr/build/gen-build.py (not
  auto-detected?)
- rel. 2

Revision 1.65  2008/06/25 07:03:13  adamg
- updated to 1.3.2

Revision 1.64  2008/06/16 21:11:11  qboosh
- updated to 1.3.0
- updated link,libtool patches

Revision 1.63  2008/05/27 06:12:31  qboosh
- libtool epoch, updated -devel dep as well

Revision 1.62  2008-05-21 12:55:04  pluto
- bump BR libtool version for new ltmain.sh location.

Revision 1.61  2008-05-21 12:53:47  pluto
- oops, forgot fix symlink.

Revision 1.60  2008-05-21 12:49:37  pluto
- fix pld layaout (./configure: ./config.pld[8]: no closing quote)
- don't run buildconf. it's req. only for svn snapshots.
  for released tarballs we should use only configure/make stuff.
- release 2 for rebuild with new ltmain.sh location (pointed by /usr/share/apr/build/ltmain.sh symlink).

Revision 1.59  2007-12-16 12:57:19  qboosh
- ghost soname symlink

Revision 1.58  2007-12-16 12:53:39  qboosh
- updated to 1.2.12

Revision 1.57  2007-11-03 12:21:55  baggins
- rel 3

Revision 1.56  2007/10/10 15:21:39  baggins
- rel 2

Revision 1.55  2007/09/11 17:26:24  qboosh
- updated to 1.2.11

Revision 1.54  2007/06/30 20:10:54  arekm
- up to 1.2.9

Revision 1.53  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.51  2006/12/07 00:04:15  qboosh
- updated to 1.2.8

Revision 1.50  2006/11/19 23:59:22  qboosh
- fix layout issue with autoconf 2.60
  (by creating own layout with paths compatible with those passed to configure;
   default apr layout overrided configure variables with /usr/local paths)

Revision 1.49  2006/05/27 10:27:26  qboosh
- BR+R: uname(release) >= 2.6 to ensure epoll() support

Revision 1.48  2006/04/23 20:36:23  arekm
- enable epoll, sendfile64, tcpnodelaycork for Th

Revision 1.47  2006/04/17 01:08:30  qboosh
- updated to 1.2.7
- switched bcond defaults after Ac branching (Linux >= 2.6 required now)

Revision 1.46  2006/04/04 05:43:10  qboosh
- updated to 1.2.6, removed obsolete branch patch

Revision 1.45  2005/12/21 21:43:35  arekm
- rel 4; some important fixes from 1.2 branch

Revision 1.44  2005/12/21 14:00:12  glen
- rel 3

Revision 1.43  2005/12/19 20:55:26  glen
- package gen-build.py (for apr-util)
- use sed rather perl to do inline edits, as perl ignores missing files
- fix apr-1-config inplace edit filename
- add libtool patch to be able to use ccache/distcc and friends

Revision 1.42  2005/12/02 10:16:07  qboosh
- disable sendfile64 on 32-bit ppc; release 2

Revision 1.41  2005/11/08 19:18:41  qboosh
- bcond descs

Revision 1.40  2005/11/05 22:18:31  arekm
- epoll, tcpnodelaycork bconds; --enable-nonportable-atomics on amd64; FYI: disabling funcionality due to kernel24 crap sucks

Revision 1.39  2005/11/02 19:11:50  glen
- use system autotools in -devel

Revision 1.38  2005/10/14 08:01:24  qboosh
- updated to 1.2.2 (bugfixes)
- avoid simultaneous TCP_NODELAY|TCP_CORK (for Linux 2.4.x compatibility)

Revision 1.37  2005/09/04 15:44:49  qboosh
- updated to 1.2.1

Revision 1.36  2005/05/24 22:28:23  arekm
- rel 4

Revision 1.35  2005/05/24 22:14:54  arekm
- fix for linux 2.4 sparc system

Revision 1.34  2005/05/23 22:08:11  ankry
- BR: moved

Revision 1.33  2005/05/23 21:45:08  arekm
- rel 2

Revision 1.32  2005/05/23 19:51:21  arekm
- devel: add BR: libuuid-devel

Revision 1.31  2005/04/18 22:20:01  qboosh
- updated to 1.1.1

Revision 1.30  2005/01/24 07:32:24  arekm
- rel3, use /dev/urandom instead of /dev/random.

Revision 1.29  2004/12/10 17:33:16  radek
- release 2: --enable-nonportable-atomics for ix86>386 (better performance)

Revision 1.28  2004/11/20 20:38:32  qboosh
- updated to 1.0.1

Revision 1.27  2004/10/07 08:52:04  arekm
- rel 2; disable epoll support (2.6 only feature)

Revision 1.26  2004/09/30 21:05:36  arekm
- rel 1

Revision 1.25  2004/09/16 20:32:09  qboosh
- updated link patch, removed obsolete modes,0.9.5 patches
- use build as dir and build-1 as symlink to avoid rpm problems on this and
  future upgrades
- BR: python (checked by buildcheck)

Revision 1.24  2004/09/05 08:06:28  pluto
- ehh, %files updated.

Revision 1.23  2004/09/05 08:04:00  pluto
- symlink: build -> build-1

Revision 1.22  2004/09/05 07:46:40  pluto
- updated to 1.0.0 (patches need check).
- release 0.1.

Revision 1.21  2004/08/20 18:57:02  arekm
- rel 8; fix modes used by apr

Revision 1.20  2004/07/04 11:11:22  arekm
- rel7; update from apache 2.0.50

Revision 1.19  2004/04/18 21:03:25  qboosh
- remade 0.9.5 diff from unpatched apache 2.0.49
- updated link patch, added metuxmpm patch
- fixed License (was Apache 1.1 orignally, Apache 2.0 with 0.9.5 patch - but never GPL)
- release 6

Revision 1.18  2004/04/15 22:12:00  arekm
- updated to version from apache 2.0.49

Revision 1.17  2004/01/24 01:38:35  ankry
- rel. 4 for ac

Revision 1.16  2004/01/19 22:21:32  ankry
- rel. 2

Revision 1.15  2003/12/20 01:00:48  arekm
- use new config.* (fixes build on amd64)

Revision 1.14  2003/11/23 00:36:04  qboosh
- one more try, release 0.3

Revision 1.13  2003/11/23 00:15:18  qboosh
- fixed dirs in -devel; release 0.2

Revision 1.12  2003/11/15 11:12:12  arekm
- updated to 0.9.5 (apache version)

Revision 1.11  2003/11/14 10:14:38  qboosh
- eh, these conflicts don't make sense here (Name is the same)

Revision 1.10  2003/11/14 10:10:15  qboosh
- Conflicts with apr from apache (which contained apr-util); release 2

Revision 1.9  2003/11/01 22:25:47  ciesiel
- typo

Revision 1.8  2003/10/28 08:47:30  trojan
- fixed paths to apr build tools

Revision 1.7  2003/10/28 08:00:19  trojan
- updated to official 0.9.4

Revision 1.6  2003/10/05 22:27:54  qboosh
- added link patch - link with used libs, no unused libs in apr-config --libs
- it's snapshot version, so added release to subpackage deps
- removed libtool from -devel Reqs - it provides own version of libtool
- pl descriptions

Revision 1.5  2003/09/13 15:13:54  arekm
- added all files required by apr-util

Revision 1.4  2003/09/13 14:45:06  arekm
- add m4 macros which are later used by apr-util

Revision 1.3  2003/09/13 13:02:25  arekm
- update to apr 0.9.4 snapshot (which is in out apache2 anyway and it's required by subversion)

Revision 1.2  2003/09/13 12:04:35  arekm
- proper desc

Revision 1.1  2003/09/13 11:42:25  arekm
- initial pld release
